This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 517007 - USB printer not configured automatically
USB printer not configured automatically
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target fitandfinish
  Show dependency treegraph
 
Reported: 2009-08-12 06:15 EDT by Adam Huffman
Modified: 2009-11-20 07:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 07:35:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
content of /var/log/messages at time of printer connection (2.79 KB, text/plain)
2009-08-12 09:41 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2009-08-12 06:15:24 EDT
Description of problem:
During yesterday's Fit And Finish Day, I tested connecting a USB printer.

The printer was detected and a small icon appeared in the notification area.  However, printer auto-configuration was not completed and it did not appear in the printer list.

The printer is an HP PhotoSmart C4480.

Version-Release number of selected component (if applicable):
Whichever version was in the Fit And Finish live CD.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2009-08-12 08:16:33 EDT
Please edit /etc/rsyslog.conf and change this line:

*.info;mail.none;authpriv.none;cron.none                /var/log/messages

to this (i.e. change 'info' to 'debug'):

*.debug;mail.none;authpriv.none;cron.none                /var/log/messages

Then run 'service rsyslog reload'

After that, make sure you don't have a queue configured for that printer, make a note of the exact time, then connect it and power it on.

What's in /var/log/messages after the point it is connected?
Comment 2 Adam Huffman 2009-08-12 09:41:30 EDT
Created attachment 357170 [details]
content of /var/log/messages at time of printer connection
Comment 3 Adam Huffman 2009-08-12 09:42:20 EDT
There was a message from the notification icon that there wasn't a driver for the printer.
Comment 4 Tim Waugh 2009-08-12 11:28:54 EDT
That's because there isn't an exact match for that model, and we don't automatically configure queues if we aren't confident they will work.

The closest match it found was the c4380 driver, although it *ought* to have considered the c4400 driver the closest.  It still wouldn't count this as an exact match, so wouldn't automatically configure a queue for that.

I think it needs to be taught how to spot the keyword "series", and use it to deduce whether this driver should count as an exact match.
Comment 5 Tim Waugh 2009-08-12 11:37:10 EDT
Actually it seems to be simpler than this.

Could you please install the 'hpijs' package and let me know whether the printer is automatically configured when connected?
Comment 6 Tim Waugh 2009-11-20 07:35:21 EST
Closing.

Note You need to log in before you can comment on or make changes to this bug.